<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="24faa07f-126e-4c2c-8009-e9c3948d4ace" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/osvald/osvald_views/graphs.py" beforeDir="false" afterPath="$PROJECT_DIR$/osvald/osvald_views/graphs.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/osvald/osvald_views/sql.py" beforeDir="false" afterPath="$PROJECT_DIR$/osvald/osvald_views/sql.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/osvald/views.py" beforeDir="false" afterPath="$PROJECT_DIR$/osvald/views.py" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_TABLE_DETAILS" value="true" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <expand />
    <select />
  </component>
  <component name="DjangoConsoleOptions" custom-start-script="import sys; print('Python %s on %s' % (sys.version, sys.platform))&#10;import django; print('Django %s' % django.get_version())&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;if 'setup' in dir(django): django.setup()&#10;import django_manage_shell; django_manage_shell.run(PROJECT_ROOT)">
    <option name="myCustomStartScript" value="import sys; print('Python %s on %s' % (sys.version, sys.platform))&#10;import django; print('Django %s' % django.get_version())&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;if 'setup' in dir(django): django.setup()&#10;import django_manage_shell; django_manage_shell.run(PROJECT_ROOT)" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="2103695000">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="3" />
          <entry key="project.open.time.4" value="2" />
          <entry key="project.open.time.5" value="1" />
          <entry key="project.open.time.6" value="1" />
          <entry key="project.open.time.7" value="1" />
          <entry key="project.opened" value="5" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="Python" value="1" />
          <entry key="html" value="5" />
          <entry key="js" value="1" />
          <entry key="py" value="9" />
          <entry key="txt" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="HTML" value="5" />
          <entry key="JavaScript" value="1" />
          <entry key="PLAIN_TEXT" value="3" />
          <entry key="Python" value="9" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="html" value="10" />
          <entry key="js" value="36" />
          <entry key="py" value="468" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="HTML" value="10" />
          <entry key="JavaScript" value="36" />
          <entry key="Python" value="468" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FavoritesManager">
    <favorites_list name="django_osvald" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/osvald/static/js/osvaldPortal.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1">
              <caret line="84" column="24" selection-start-line="84" selection-start-column="24" selection-end-line="84" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/osvald/views.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="211">
              <caret line="925" column="258" selection-start-line="925" selection-start-column="258" selection-end-line="925" selection-end-column="258" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/user_activity.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="634">
              <caret line="168" column="68" lean-forward="true" selection-start-line="168" selection-start-column="68" selection-end-line="168" selection-end-column="68" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/osvald/osvald_views/graphs.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="858">
              <caret line="220" column="86" selection-start-line="220" selection-start-column="86" selection-end-line="220" selection-end-column="86" />
              <folding>
                <element signature="e#0#51#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/group_activity_view.html">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/components/graphs.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="265">
              <caret line="168" column="50" selection-start-line="168" selection-start-column="33" selection-end-line="168" selection-end-column="50" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/osvald/tables.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="210">
              <caret line="18" column="61" selection-start-line="18" selection-start-column="61" selection-end-line="18" selection-end-column="61" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/osvald/osvald_views/sql.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-546">
              <caret line="69" column="601" selection-start-line="69" selection-start-column="601" selection-end-line="69" selection-end-column="601" />
              <folding>
                <marker date="1536172658548" expanded="true" signature="5269:5274" ph="..." />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="CSS File" />
        <option value="Python Script" />
        <option value="HTML File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>exter</find>
      <find>external</find>
      <find>continue_activity</find>
      <find>location</find>
      <find>oc</find>
      <find>redire</find>
      <find>redir</find>
      <find>aut</find>
      <find>get_au</find>
      <find>icon</find>
      <find>Date.now()</find>
      <find>end_acti</find>
      <find>collection-date</find>
      <find>#collection-money</find>
      <find>.module-selector</find>
      <find>date.no</find>
      <find>ico</find>
      <find>now</find>
      <find>cache:</find>
      <find>continu</find>
      <find>subty</find>
      <find>subtyp</find>
      <find>detail</find>
      <find>DetailTable</find>
      <find>print</find>
      <find>cta</find>
      <find>end</find>
      <find>end_</find>
      <find>prehled_kapacit</find>
      <find>graf_rozpad_pracovni_doby</find>
    </findStrings>
    <replaceStrings>
      <replace>panel-activity</replace>
      <replace>&lt;img src=&quot;{% static 'image/test/rb-logo-black.png'%}&quot; class=&quot;img-responsive&quot; class=&quot;activity-logo&quot;&gt;</replace>
      <replace>class=&quot;pull-left activity-logo&quot;&gt;</replace>
      <replace>&lt;div class=&quot;badge activity-info-badge&quot;  data-content=&quot;Velmi stručný popisek aktivity &lt;br/&gt;&lt;br/&gt; &lt;b&gt;Průmerný čas: &lt;/b&gt; 00:00:10&quot; rel=&quot;popover&quot; data-placement=&quot;bottom&quot; data-original-title=&quot;Aktivita&quot; data-html=&quot;true&quot;&gt; i &lt;/div&gt;</replace>
      <replace>&lt;div class=&quot;badge activity-info-badge&quot;&gt;</replace>
      <replace>&lt;b&gt;Průmerný čas: &lt;/b&gt; 00:00:05&quot; rel=&quot;popover&quot;</replace>
      <replace>osvald</replace>
      <replace>rgb(15,83,208)</replace>
      <replace>running-template-id</replace>
      <replace>updateActivityTime(localStorage.getItem('running-activity-timer'))</replace>
      <replace>date</replace>
      <replace>name</replace>
      <replace>CASCADE</replace>
      <replace>/logic</replace>
    </replaceStrings>
    <dirStrings>
      <dir>$PROJECT_DIR$/osvald/static/image/logo</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/osvald/templates/collections.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/collections.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/filters.py" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/graph_detail_activity.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/graph_detail_group.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/kapacity_detail.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/user_all_dependend_users_view.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/group_activity_users_view.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/group_activity_view.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/group_all_dependend_group_view.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/group_all_dependend_logic_view.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/group_all_dependend_users_view.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/logical_team_activity_view.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/user_all_dependend_group_view.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/user_all_dependend_logic_view.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/login.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/404.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/401.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/403.html" />
        <option value="$PROJECT_DIR$/django_osvald/urls.py" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/500.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/mereni.html" />
        <option value="$PROJECT_DIR$/django/contrib/admin/sites.py" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/components/dropdown.html" />
        <option value="$PROJECT_DIR$/osvald/filters.py" />
        <option value="$PROJECT_DIR$/osvald/static/js/jquery.js" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/graph_detail.html" />
        <option value="$PROJECT_DIR$/osvald/static/css/portal.css" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/user_activity.html" />
        <option value="$PROJECT_DIR$/venv1/lib/python3.6/site-packages/xlwt/Row.py" />
        <option value="$PROJECT_DIR$/venv1/lib/python3.6/site-packages/tablib/formats/_xlsx.py" />
        <option value="$PROJECT_DIR$/osvald/static/js/reporting.js" />
        <option value="$PROJECT_DIR$/django_osvald/__init__.py" />
        <option value="$PROJECT_DIR$/osvald/urls.py" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/base.html" />
        <option value="$USER_HOME$/venv-osvald/lib/python3.6/site-packages/import_export/admin.py" />
        <option value="$PROJECT_DIR$/osvald/admin.py" />
        <option value="$PROJECT_DIR$/django/contrib/auth/backends.py" />
        <option value="$PROJECT_DIR$/django/contrib/auth/views.py" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/module_table_collections_list.html" />
        <option value="$PROJECT_DIR$/graphos/templates/graphos/gchart/base.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/components/graphs.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/components/nav.html" />
        <option value="$PROJECT_DIR$/osvald/templates/osvald/components/modal.html" />
        <option value="$PROJECT_DIR$/django_osvald/settings.py" />
        <option value="$PROJECT_DIR$/osvald/models.py" />
        <option value="$PROJECT_DIR$/osvald/tables.py" />
        <option value="$PROJECT_DIR$/osvald/static/js/osvaldPortal.js" />
        <option value="$PROJECT_DIR$/osvald/osvald_views/sql.py" />
        <option value="$PROJECT_DIR$/osvald/osvald_views/graphs.py" />
        <option value="$PROJECT_DIR$/osvald/views.py" />
      </list>
    </option>
  </component>
  <component name="InvalidFacetManager">
    <ignored-facets>
      <facet id="django-osvald/invalid/Django" />
    </ignored-facets>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds">
    <option name="y" value="23" />
    <option name="width" value="1920" />
    <option name="height" value="1128" />
  </component>
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectReloadState">
    <option name="STATE" value="1" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="django_osvald" type="b2602c69:ProjectViewProjectNode" />
              <item name="django_osvald" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="django_osvald" type="b2602c69:ProjectViewProjectNode" />
              <item name="django_osvald" type="462c0819:PsiDirectoryNode" />
              <item name="osvald" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="django_osvald" type="b2602c69:ProjectViewProjectNode" />
              <item name="django_osvald" type="462c0819:PsiDirectoryNode" />
              <item name="osvald" type="462c0819:PsiDirectoryNode" />
              <item name="osvald_views" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="django_osvald" type="b2602c69:ProjectViewProjectNode" />
              <item name="django_osvald" type="462c0819:PsiDirectoryNode" />
              <item name="osvald" type="462c0819:PsiDirectoryNode" />
              <item name="static" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="django_osvald" type="b2602c69:ProjectViewProjectNode" />
              <item name="django_osvald" type="462c0819:PsiDirectoryNode" />
              <item name="osvald" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="django_osvald" type="b2602c69:ProjectViewProjectNode" />
              <item name="django_osvald" type="462c0819:PsiDirectoryNode" />
              <item name="osvald" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
              <item name="osvald" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="django_osvald" type="b2602c69:ProjectViewProjectNode" />
              <item name="django_osvald" type="462c0819:PsiDirectoryNode" />
              <item name="osvald" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
              <item name="osvald" type="462c0819:PsiDirectoryNode" />
              <item name="components" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope">
        <subPane subId="Project Files">
          <expand>
            <path>
              <item name="Root" type="cbb8eebc:String" user="Root" />
              <item name="django_osvald" type="cbb8eebc:String" user="django_osvald" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="com.intellij.database.dataSource.DataSourceTemplate" value="MySQL" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="list.type.of.created.stylesheet" value="CSS" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="run.code.analysis.last.selected.profile" value="pProject Default" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/osvald/static/image" />
      <recent name="$PROJECT_DIR$/osvald/templates/osvald" />
      <recent name="$PROJECT_DIR$/osvald/templates" />
      <recent name="$PROJECT_DIR$" />
      <recent name="$PROJECT_DIR$/django/contrib/admin/static/admin/img" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/osvald/static/js" />
      <recent name="$PROJECT_DIR$/osvald" />
      <recent name="$PROJECT_DIR$/osvald/templates/osvald" />
      <recent name="C:\Users\pavelkat\Desktop\django-osvald\osvald\static\image" />
      <recent name="$PROJECT_DIR$" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="django_osvald" type="Python.DjangoServer" factoryName="Django server">
      <module name="django_osvald" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
        <env name="DJANGO_SETTINGS_MODULE" value="django_osvald.settings" />
      </envs>
      <option name="SDK_HOME" value="$PROJECT_DIR$/venv1/bin/python3.6" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="launchJavascriptDebuger" value="false" />
      <option name="port" value="8000" />
      <option name="host" value="" />
      <option name="additionalOptions" value="" />
      <option name="browserUrl" value="" />
      <option name="runTestServer" value="false" />
      <option name="runNoReload" value="false" />
      <option name="useCustomRunCommand" value="false" />
      <option name="customRunCommand" value="" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="24faa07f-126e-4c2c-8009-e9c3948d4ace" name="Default" comment="" />
      <created>1527275967092</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1527275967092</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1920" height="1128" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.21512248" />
      <window_info id="Structure" order="1" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" visible="true" weight="0.32818532" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39922854" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.23166023" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Python Console" order="11" weight="0.32930845" />
      <window_info anchor="bottom" id="Database Changes" order="12" show_stripe_button="false" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="SciView" order="3" />
      <window_info anchor="right" id="Database" order="4" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/osvald/osvald_views/graphs.py</url>
          <line>223</line>
          <option name="timeStamp" value="45" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/osvald/views.py</url>
          <line>971</line>
          <option name="timeStamp" value="59" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/osvald/views.py</url>
          <line>669</line>
          <option name="timeStamp" value="62" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/graph_detail.html" />
    <entry file="file://$PROJECT_DIR$/venv1/lib/python3.6/site-packages/xlwt/Row.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="102" column="29" selection-start-line="102" selection-start-column="29" selection-end-line="102" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/venv1/lib/python3.6/site-packages/tablib/formats/_xlsx.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="611">
          <caret line="121" selection-start-line="121" selection-end-line="121" selection-end-column="58" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/django/db/backends/mysql/base.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="70" selection-start-line="70" selection-end-line="71" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/django_osvald/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="15" column="29" selection-start-line="15" selection-start-column="29" selection-end-line="15" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/venv-osvald/lib/python3.6/site-packages/import_export/utils.py" />
    <entry file="file://$PROJECT_DIR$/django/db/models/query.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="402" selection-start-line="402" selection-end-line="402" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/migrations/0012_remove_template_activity_icon.py" />
    <entry file="file://$PROJECT_DIR$/osvald/migrations/0001_initial.py" />
    <entry file="file://$PROJECT_DIR$/osvald/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="7" column="31" selection-start-line="7" selection-start-column="31" selection-end-line="7" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/graphos/renderers/gchart.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-534" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/graphos/renderers/base.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-744" />
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/venv-osvald/lib/python3.6/site-packages/import_export/exceptions.py" />
    <entry file="file://$USER_HOME$/venv-osvald/lib/python3.6/site-packages/import_export/fields.py" />
    <entry file="file://$USER_HOME$/venv-osvald/lib/python3.6/site-packages/import_export/resources.py" />
    <entry file="file://$USER_HOME$/venv-osvald/lib/python3.6/site-packages/import_export/widgets.py" />
    <entry file="file://$USER_HOME$/venv-osvald/lib/python3.6/site-packages/import_export/formats/base_formats.py" />
    <entry file="file://$USER_HOME$/venv-osvald/lib/python3.6/site-packages/import_export/admin.py" />
    <entry file="file://$PROJECT_DIR$/venv1/lib/python3.6/site-packages/django/contrib/auth/backends.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-24">
          <caret line="124" column="30" selection-start-line="124" selection-start-column="26" selection-end-line="124" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/admin.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="563">
          <caret line="159" column="6" selection-start-line="159" selection-start-column="4" selection-end-line="159" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/venv1/lib/python3.6/site-packages/django_auth_ldap/backend.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="3" column="6" selection-start-line="3" selection-start-column="6" selection-end-line="3" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/django/contrib/auth/backends.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="749">
          <caret line="149" column="20" lean-forward="true" selection-start-line="149" selection-start-column="20" selection-end-line="149" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/django/contrib/auth/views.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1064">
          <caret line="113" column="62" selection-start-line="113" selection-start-column="62" selection-end-line="113" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/module_table_collections_list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="21" selection-start-line="21" selection-end-line="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/group_all_dependend_group_view.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="45" selection-start-line="5" selection-start-column="45" selection-end-line="5" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/graphos/templates/graphos/gchart/base.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="407">
          <caret line="60" selection-start-line="60" selection-end-line="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/static/css/portal.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="177">
          <caret line="576" column="16" selection-start-line="576" selection-start-column="16" selection-end-line="576" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/graphos/templates/graphos/as_html.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="1" column="4" selection-start-line="1" selection-start-column="4" selection-end-line="1" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/graphos/templates/graphos/redis_template.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/graphos/templates/graphos/model_template.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-799" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/graphos/templates/graphos/gchart/area_chart.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/static/image/osvald-logo-color.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/components/nav.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="36" selection-start-line="36" selection-end-line="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/static/js/reporting.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="13" column="20" selection-start-line="13" selection-start-column="20" selection-end-line="13" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/base.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="17" column="40" selection-start-line="17" selection-start-column="40" selection-end-line="17" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/graphos/views.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/venv1/.Python">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/requirements.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/requirements2.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/components/modal.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2280">
          <caret line="152" column="68" selection-start-line="152" selection-start-column="68" selection-end-line="152" selection-end-column="68" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/models.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="496">
          <caret line="278" lean-forward="true" selection-start-line="278" selection-end-line="278" selection-end-column="96" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/django_osvald/settings.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="716">
          <caret line="85" column="75" selection-start-line="85" selection-start-column="75" selection-end-line="85" selection-end-column="75" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/static/js/osvaldPortal.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1">
          <caret line="84" column="24" selection-start-line="84" selection-start-column="24" selection-end-line="84" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/user_activity.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="634">
          <caret line="168" column="68" lean-forward="true" selection-start-line="168" selection-start-column="68" selection-end-line="168" selection-end-column="68" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/tables.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="18" column="61" selection-start-line="18" selection-start-column="61" selection-end-line="18" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/osvald_views/sql.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-546">
          <caret line="69" column="601" selection-start-line="69" selection-start-column="601" selection-end-line="69" selection-end-column="601" />
          <folding>
            <marker date="1536172658548" expanded="true" signature="5269:5274" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/osvald_views/graphs.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="858">
          <caret line="220" column="86" selection-start-line="220" selection-start-column="86" selection-end-line="220" selection-end-column="86" />
          <folding>
            <element signature="e#0#51#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/group_activity_users_view.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/components/graphs.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="265">
          <caret line="168" column="50" selection-start-line="168" selection-start-column="33" selection-end-line="168" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/templates/osvald/group_activity_view.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/osvald/views.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="211">
          <caret line="925" column="258" selection-start-line="925" selection-start-column="258" selection-end-line="925" selection-end-column="258" />
        </state>
      </provider>
    </entry>
  </component>
</project>